Package net.shibboleth.idp.saml.attribute.transcoding

# Class AbstractSAML1AttributeTranscoder.NamingFunction

java.lang.Object
net.shibboleth.idp.saml.attribute.transcoding.AbstractSAML1AttributeTranscoder.NamingFunction

All Implemented Interfaces:
  `Function<AttributeDesignator,String>`

Enclosing class:
  AbstractSAML1AttributeTranscoder<EncodedType extends IdPAttributeValue>

public static class AbstractSAML1AttributeTranscoder.NamingFunction extends Object implements Function<AttributeDesignator,String>
A function to produce a "canonical" name for a SAML 1 `AttributeDesignator` for transcoding rules.

## Constructor Summary

Constructors
Constructor
Description
`NamingFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(AttributeDesignator input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### NamingFunction

public NamingFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable AttributeDesignator input)

Specified by:
  `apply` in interface `Function<AttributeDesignator,String>`